import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
// import '../static/iconfont/iconfont.css'
import '../static/font_hsy/iconfont.css'
import pubFun from '@/utils/pubFun'
import '@/assets/theme/index.css'
import '@/assets/styles/element.less'
import '@/assets/styles/element_alter.less'
import Fragment from 'vue-fragment'
import md5 from 'js-md5'
import { Message } from 'element-ui'
import auButton from '@/components/auButton/index.vue'
import '@/icon';
// Vue 添加指令校验input只能输入正整数 input组件上 使用 v-onlyInt 即可
import onlyInt from "@/utils/onlyNumber/onlyInt";
Vue.directive("onlyInt", onlyInt);
//  v-only-number="{ min: 0, max: 999999, precision: 2 }"
import onlyNumber from "@/utils/onlyNumber";
Vue.use(onlyNumber); 
import { hasBtnPermission } from './utils/permission' // button permission
Vue.prototype.hasPerm = hasBtnPermission
Vue.prototype.$pubFun = pubFun 
Vue.prototype.$message = Message
Vue.prototype.$md5 = md5
Vue.component('au-button', auButton)
Vue.use(Fragment.Plugin) 
Vue.use(ElementUI)
Vue.use(router)
import global from './common'
Vue.prototype.GLOBAL = global

Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  router,
  store
}).$mount('#app')
